libgtk-2_0-0-2.24.32+54-336.1.i586.rpm


Advertisement

Description

libgtk-2_0-0 - The GTK+ toolkit library (version 2)

Property Value
Distribution openSUSE Tumbleweed
Repository GNOME Next all
Package filename libgtk-2_0-0-2.24.32+54-336.1.i586.rpm
Package name libgtk-2_0-0
Package version 2.24.32+54
Package release 336.1
Package architecture i586
Package type rpm
Category System/Libraries
Homepage http://www.gtk.org/
License LGPL-2.1-or-later
Maintainer -
Download size 1.98 MB
Installed size 6.67 MB
GTK+ is a multi-platform toolkit for creating graphical user interfaces.
Offering a complete set of widgets, GTK+ is suitable for projects
ranging from small one-off projects to complete application suites.

Alternatives

Package Version Architecture Repository
libgtk-2_0-0-2.24.32+54-336.1.x86_64.rpm 2.24.32+54 x86_64 GNOME Next
libgtk-2_0-0-2.24.32+54-276.2.i586.rpm 2.24.32+54 i586 GNOME Factory
libgtk-2_0-0-2.24.32+54-276.2.x86_64.rpm 2.24.32+54 x86_64 GNOME Factory
libgtk-2_0-0-2.24.32+54-1.1.i586.rpm 2.24.32+54 i586 openSUSE Oss
libgtk-2_0-0-2.24.32+54-1.1.x86_64.rpm 2.24.32+54 x86_64 openSUSE Oss
libgtk-2_0-0 - - -

Requires

Name Value
/sbin/ldconfig -
gtk2-tools >= 2.24.20
hicolor-icon-theme -
libX11.so.6 -
libXcomposite.so.1 -
libXcursor.so.1 -
libXdamage.so.1 -
libXext.so.6 -
libXfixes.so.3 -
libXi.so.6 -
libXinerama.so.1 -
libXrandr.so.2 -
libXrender.so.1 -
libatk-1.0.so.0 -
libc.so.6(GLIBC_2.28) -
libcairo.so.2 -
libcups.so.2 -
libfontconfig.so.1 -
libgdk_pixbuf-2.0.so.0 -
libgio-2.0.so.0 -
libglib-2.0.so.0 -
libgmodule-2.0.so.0 -
libgobject-2.0.so.0 -
libm.so.6 -
libm.so.6(GLIBC_2.0) -
libm.so.6(GLIBC_2.1) -
libm.so.6(GLIBC_2.29) -
libpango-1.0.so.0 -
libpangocairo-1.0.so.0 -
libpangoft2-1.0.so.0 -
libpthread.so.0 -
libpthread.so.0(GLIBC_2.0) -
libpthread.so.0(GLIBC_2.2) -

Provides

Name Value
gail = 1.22.1
gtk2 = 2.24.32+54
libgail.so -
libgailutil.so.18 -
libgdk-x11-2.0.so.0 -
libgtk-2_0-0 = 2.24.32+54-336.1
libgtk-2_0-0(x86-32) = 2.24.32+54-336.1
libgtk-x11-2.0.so.0 -
libpixmap.so -
libprintbackend-cups.so -
libprintbackend-file.so -
libprintbackend-lpr.so -

Obsoletes

Name Value
gail < 1.22.1
gtk2 < 2.24.32+54

Download

Type URL
Mirror widehat.opensuse.org
Binary Package libgtk-2_0-0-2.24.32+54-336.1.i586.rpm
Source Package gtk2-2.24.32+54-336.1.src.rpm

Install Howto

  1. Add the GNOME Next repository:
    # zypper addrepo http://widehat.opensuse.org/opensuse/repositories/GNOME:/Next/openSUSE_Factory/ gnome-next
  2. Install libgtk-2_0-0 rpm package:
    # zypper install libgtk-2_0-0

Files

Path
/etc/gtk-2.0/
/usr/lib/libgailutil.so.18
/usr/lib/libgailutil.so.18.0.1
/usr/lib/libgdk-x11-2.0.so.0
/usr/lib/libgdk-x11-2.0.so.0.2400.32
/usr/lib/libgtk-x11-2.0.so.0
/usr/lib/libgtk-x11-2.0.so.0.2400.32
/usr/lib/gtk-2.0/
/usr/lib/gtk-2.0/2.10.0/immodules.cache
/usr/lib/gtk-2.0/2.10.0/engines/libpixmap.so
/usr/lib/gtk-2.0/2.10.0/immodules/im-cedilla.so
/usr/lib/gtk-2.0/2.10.0/immodules/im-cyrillic-translit.so
/usr/lib/gtk-2.0/2.10.0/immodules/im-ipa.so
/usr/lib/gtk-2.0/2.10.0/printbackends/libprintbackend-cups.so
/usr/lib/gtk-2.0/2.10.0/printbackends/libprintbackend-file.so
/usr/lib/gtk-2.0/2.10.0/printbackends/libprintbackend-lpr.so
/usr/lib/gtk-2.0/modules/libgail.so
/usr/share/doc/packages/libgtk-2_0-0/AUTHORS
/usr/share/doc/packages/libgtk-2_0-0/NEWS
/usr/share/doc/packages/libgtk-2_0-0/README
/usr/share/licenses/libgtk-2_0-0/COPYING

Changelog

2019-04-16 - bjorn.lie@gmail.com
- Update to version 2.24.32+54:
+ Force redraw on Mojave and later when processing updates.
+ Fix UAC manifest RC file
+ atk key: Always convert control character events into key names
+ icontheme: Fix annotations on array arguments
+ MSVC introspection: Make more robust and avoid confusion
+ Revert "gdk: deactivation/activate window on keyboard grabs"
+ gtk/gtkiconcache.c: Fix running on GLib-2.57.3 or later on
Windows
+ MSVC builds: Fix pkg-config file generation
+ MSVC builds: Improve pkg-config files generation
+ [gdk|gtk]/Makefile.am: Fix CFlags passed to introspecion on
MSVC
- Switch to gitcheckout of stable branch again, upstream is not
making releases.
- Drop 0001-build-support-automake-1.16.patch: Fixed upstream.
2018-08-09 - tchvatal@suse.com
- Fix package name to be uniform immodules -> immodule bsc#1104264
2018-04-18 - bjorn.lie@gmail.com
- Update _service to point to new
https://gitlab.gnome.org/GNOME/gtk.git home.
2018-03-27 - dimstar@opensuse.org
- Add 0001-build-support-automake-1.16.patch: Support automake
1.16.
2018-03-20 - dimstar@opensuse.org
- Unconditionally enable translation-update-upstream: on
Tumbleweed, this results in a NOP and for Leap in SLE paid
translations being used (boo#1086036).
2018-02-26 - dimstar@opensuse.org
- Use SPDX3.0 license tags and package COPYING as %license
2018-01-09 - zaitor@opensuse.org
- Update to version 2.24.32:
+ Fix abicheck.
- Use the release version as revision and set versionformat to
PARENT_TAG, ensure we build the upstream released tag.
2017-12-29 - jengelh@inai.de
- Sync summaries with gtk4.
2017-12-26 - yfjiang@suse.com
- Manually move the position of "Group System/Libraries" line,
which was moved automatically by format_spec_file, above the
comment of "Requires: hicolor-icon-theme":
https://lists.opensuse.org/opensuse-packaging/2017-07/msg00062.html
2017-12-21 - zaitor@opensuse.org
- Update to version 2.24.31+20171209.61d5c82f5c:
+ Fix updating the widget accessible description when using its
tooltip
+ Fix introspection builds on Visual Studio 2017
+ imcontextxim: Fix showing glyph in status window
+ Visual Studio builds: Improve binary security
+ Fixed: If can?t add child, don?t add to child info
+ ComboBox: Don?t let modes disconnect each other
+ Enter submenus when activating their parent item
+ ComboBox: Don?t pile up ::grab-broken handlers
+ testcombo: Test grid :row- and :column-span-column
+ Updated translations.
- Switch to git checkout via source service.
- Following the above, remove gnome-common BuildRequires and
gnome-autogen.sh call. Replace with libtool BuildRequires and
autogen.sh call, also add gtk-doc BuildRequires and pass
- -enable-gtk-doc to configure.
- Clean up patch numbering.
- Drop gtk2-window-dragging.patch: Fixed upstream (bgo#554057).
- Drop bugzilla-131498-allow-xim-for-all-languages.patch: This
patch was only applied to work around a missing recommends for
scim-32Bit, stop doing that, as we should not fix errors in other
packages in a toolkit.
- Conditionally apply translations-update-upstream BuildRequires
and macro for non-openSUSE only.

See Also

Package Description
libgtk-2_0-0-32bit-2.24.32+54-336.1.x86_64.rpm The GTK+ toolkit library (version 2)
libgtk-3-0-3.24.8-419.1.i586.rpm The GTK+ toolkit library (version 3)
libgtk-3-0-3.24.8-419.1.x86_64.rpm The GTK+ toolkit library (version 3)
libgtk-3-0-32bit-3.24.8-419.1.x86_64.rpm The GTK+ toolkit library (version 3)
libgtk-4-0-3.94.0-93.1.i586.rpm The GTK+ toolkit library (version 4)
libgtk-4-0-3.94.0-93.1.x86_64.rpm The GTK+ toolkit library (version 4)
libgtk-4-0-32bit-3.94.0-93.1.x86_64.rpm The GTK+ toolkit library (version 4)
libgtk-frdp-0_1-3.32.0.2-307.1.i586.rpm Shared library for gtk-frdp, an RDP Viewer Widget for Gtk+
libgtk-frdp-0_1-3.32.0.2-307.1.x86_64.rpm Shared library for gtk-frdp, an RDP Viewer Widget for Gtk+
libgtk-vnc-2_0-0-0.9.0-102.12.i586.rpm A GTK widget for VNC clients
libgtk-vnc-2_0-0-0.9.0-102.12.x86_64.rpm A GTK widget for VNC clients
libgtkglext-x11-1_0-0-1.2.0git20110529-19.17.i586.rpm OpenGL Extension to GTK
libgtkglext-x11-1_0-0-1.2.0git20110529-19.17.x86_64.rpm OpenGL Extension to GTK
libgtkglext-x11-1_0-0-32bit-1.2.0git20110529-19.17.x86_64.rpm OpenGL Extension to GTK
libgtkhtml-4_0-0-32bit-4.10.0-122.17.x86_64.rpm Lightweight HTML rendering/printing/editing engine
Advertisement
Advertisement